Bug 130117 - system-config-netboot suggests rsync-ing /proc too
system-config-netboot suggests rsync-ing /proc too
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-netboot (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-08-17 05:59 EDT by Doncho N. Gunchev
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.1.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 16:17:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2004-08-17 05:59:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
    When adding new diskless environment system-config-netboot
suggests to use 'rsync -a -e ssh CLIENTIP:/ DISKLESSDIR/root'. This
does (at least with FC3t1 it did) copy /proc too, which is wrong. I
think the suggested command should be 'rsync -a -e ssh
--exclude='/proc/*' CLIENTIP:/ DISKLESSDIR/root'. I would like adding
a '-v', so the user can have some progress indicator.

Version-Release number of selected component (if applicable):
system-config-netboot-0.1.3-7

How reproducible:
Always

Steps to Reproduce:
1. start system-config-netboot
2. add new environment
3. see and test the suggested 'rsync' command


Actual Results:  In DISKLESSDIR/root you get a copy of /proc too
(everything that can be read from there - mem, kernel...).

Expected Results:  In DISKLESSDIR/root only an empty /proc is needed

Additional info:

    I think the diskless environment should have empty /proc /tmp,
/var/tmp and only empty files in /var/log. 'rpm --rebuilddb' and 'rm
-f /var/lib/rpm/__db.00?' are a good addition too (in the diskless
environment). When booting the diskless client it complains it can not
remove '/var/lib/rpm/__db.00?'.
    Any remaining files in these directories can be a security problem
too.
Comment 1 Doncho N. Gunchev 2004-08-17 06:54:04 EDT
    The same story with /sys: --exclude='/sys/*'.
Comment 2 Daniel Walsh 2004-09-28 13:33:42 EDT
Fixed in system-config-netboot-0.1.5

Note You need to log in before you can comment on or make changes to this bug.